curl --request POST \
--url https://services.leadconnectorhq.com/forms/upload-custom-files \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"statusCode": 400,
"message": "Bad Request"
}Post the necessary fields for the API to upload files. The files need to be a buffer with the key ”< custom_field_id >_< file_id >”.
Here custom field id is the ID of your custom field and file id is a randomly generated id (or uuid)
There is support for multiple file uploads as well. Have multiple fields in the format mentioned.
File size is limited to 50 MB.
The allowed file types are:
curl --request POST \
--url https://services.leadconnectorhq.com/forms/upload-custom-files \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"statusCode": 400,
"message": "Bad Request"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Contact ID to upload the file to.
"dtEv6KtI27yF92YPm3Zz"
Location ID of the contact.
"quXmPY59n1zgGBabY1bZ"
Successful response
Was this page helpful?